#!/bin/sh

echo "orange2:/private/web/public/taka/dojo2011"
curl=/usr/bin/curl
workdir=/usr/local/src
webdir=http://jimu.math.kobe-u.ac.jp/public/taka/dojo2011
firefox=firefox.tar.bz2
flashplayer=install_flash_player_11_linux.i386.tar.gz
firefox2='http://get.adobe.com/jp/flashplayer/download/?installer=Flash_Player_11.2_for_other_Linux_(.tar.gz)_32-bit&standalone=1'
flashplayer2='https://download.mozilla.org/?product=firefox-30.0-SSL&os=linux&lang=ja'
knxmhome=/home/knoppix


_download () {
    (mkdir -p ${workdir})
	(rm -rf ${workdir}/firefox ; rm -rf ${workdir}/usr)
	(rm -rf /usr/local/bin/firefox)
    (cd ${workdir} ; ${curl} ${webdir}/${firefox} >${firefox})
    (cd ${workdir} ; ${curl} ${webdir}/${flashplayer} >${flashplayer})
    (cd ${workdir} ; tar xzvf ${flashplayer})
    (cd ${workdir} ; tar xjvf ${firefox})
}

_install () {
   (ln -s ${workdir}/firefox/firefox /usr/local/bin)
   (cd ${workdir}; cp -r usr /usr)
   (cd ${workdir}; mkdir -p ${knxmhome}/.mozilla/plugins ; cp libflashplayer.so ${knxmhome}/.mozilla/plugins; chown knoppix ${knxmhome}/.mozilla/plugins/libflashplayer.so)
}


(_download ; _install)


